/* -- THIS FILE IS GENERATED - DO NOT EDIT *//* -*- Mode: C; c-basic-offset: 4 -*- */

#define PY_SSIZE_T_CLEAN
#include <Python.h>




#if PY_VERSION_HEX < 0x02050000
typedef int Py_ssize_t;
#define PY_SSIZE_T_MAX INT_MAX
#define PY_SSIZE_T_MIN INT_MIN
typedef inquiry lenfunc;
typedef intargfunc ssizeargfunc;
typedef intobjargproc ssizeobjargproc;
#endif


#line 3 "./cogl.override"
#define NO_IMPORT_PYGOBJECT
#include "pygobject.h"
#include "pyclutter.h"

#include <cogl/cogl.h>
#line 26 "cogl.c"


/* ---------- types from other modules ---------- */


/* ---------- forward type declarations ---------- */

#line 34 "cogl.c"



/* ----------- functions ----------- */

static PyObject *
_wrap_cogl_check_extension(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "extension", NULL };
    char *name, *extension;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ss:check_extension", kwlist, &name, &extension))
        return NULL;
    
    ret = cogl_check_extension(name, extension);
    
    return PyBool_FromLong(ret);

}

#line 12 "./cogl.override"
static PyObject *
_wrap_cogl_get_bitmasks (PyObject *self)
{
  gint red, green, blue, alpha;

  cogl_get_bitmasks (&red, &green, &blue, &alpha);

  return Py_BuildValue ("(iiii)", red, green, blue, alpha);
}
#line 66 "cogl.c"


static PyObject *
_wrap_cogl_push_matrix(PyObject *self)
{
    
    cogl_push_matrix();
    
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_cogl_pop_matrix(PyObject *self)
{
    
    cogl_pop_matrix();
    
    Py_INCREF(Py_None);
    return Py_None;
}

#line 23 "./cogl.override"
static PyObject *
_wrap_cogl_scale (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "scale_x", "scale_y", NULL };
  float scale_x, scale_y;

  scale_x = scale_y = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ff:scale", kwlist, &scale_x, &scale_y))
    return NULL;
    
  cogl_scale (CLUTTER_FLOAT_TO_FIXED (scale_x),
              CLUTTER_FLOAT_TO_FIXED (scale_y));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 107 "cogl.c"


#line 42 "./cogl.override"
static PyObject *
_wrap_cogl_translate (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", "z", NULL };
  float x, y, z;

  x = y = z = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"fff:translate", kwlist, &x, &y, &z))
    return NULL;
    
  cogl_translatex (CLUTTER_FLOAT_TO_FIXED (x),
                   CLUTTER_FLOAT_TO_FIXED (y),
                   CLUTTER_FLOAT_TO_FIXED (z));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 129 "cogl.c"


#line 62 "./cogl.override"
static PyObject *
_wrap_cogl_rotate (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "angle", "x", "y", "z", NULL };
  float angle;
  int x, y, z;

  angle = 0;
  x = y = z = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"fiii:rotate", kwlist, &angle, &x, &y, &z))
    return NULL;
    
  cogl_rotatex (CLUTTER_FLOAT_TO_FIXED (angle), x, y, z);

  Py_INCREF (Py_None);
  return Py_None;
}
#line 151 "cogl.c"


static PyObject *
_wrap_cogl_clip_set(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "x_offset", "y_offset", "width", "height", NULL };
    int x_offset, y_offset, width, height;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,"iiii:clip_set", kwlist, &x_offset, &y_offset, &width, &height))
        return NULL;
    
    cogl_clip_set(x_offset, y_offset, width, height);
    
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_cogl_clip_unset(PyObject *self)
{
    
    cogl_clip_unset();
    
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_cogl_enable_depth_test(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "enable", NULL };
    int enable;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,"i:enable_depth_test", kwlist, &enable))
        return NULL;
    
    cogl_enable_depth_test(enable);
    
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_cogl_paint_init(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "color", NULL };
    ClutterColor *color = NULL;
    PyObject *py_color;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,"O:paint_init", kwlist, &py_color))
        return NULL;
    if (pyg_boxed_check(py_color, CLUTTER_TYPE_COLOR))
        color = pyg_boxed_get(py_color, ClutterColor);
    else {
        PyErr_SetString(PyExc_TypeError, "color should be a ClutterColor");
        return NULL;
    }
    
    cogl_paint_init(color);
    
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_cogl_color(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "color", NULL };
    ClutterColor *color = NULL;
    PyObject *py_color;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,"O:color", kwlist, &py_color))
        return NULL;
    if (pyg_boxed_check(py_color, CLUTTER_TYPE_COLOR))
        color = pyg_boxed_get(py_color, ClutterColor);
    else {
        PyErr_SetString(PyExc_TypeError, "color should be a ClutterColor");
        return NULL;
    }
    
    cogl_color(color);
    
    Py_INCREF(Py_None);
    return Py_None;
}

#line 82 "./cogl.override"
static PyObject *
_wrap_cogl_rectangle (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", "width", "height", NULL };
  float x, y, width, height;

  x = y = width = height = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffff:rectangle", kwlist, &x, &y, &width, &height))
    return NULL;
    
  cogl_rectanglex (CLUTTER_FLOAT_TO_FIXED (x),
                   CLUTTER_FLOAT_TO_FIXED (y),
                   CLUTTER_FLOAT_TO_FIXED (width),
                   CLUTTER_FLOAT_TO_FIXED (height));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 258 "cogl.c"


static PyObject *
_wrap_cogl_path_fill(PyObject *self)
{
    
    cogl_path_fill();
    
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_cogl_path_stroke(PyObject *self)
{
    
    cogl_path_stroke();
    
    Py_INCREF(Py_None);
    return Py_None;
}

#line 103 "./cogl.override"
static PyObject *
_wrap_cogl_path_move_to (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", NULL };
  float x, y;

  x = y = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ff:path_move_to", kwlist, &x, &y))
    return NULL;
    
  cogl_path_move_to (CLUTTER_FLOAT_TO_FIXED (x),
                     CLUTTER_FLOAT_TO_FIXED (y));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 299 "cogl.c"


#line 122 "./cogl.override"
static PyObject *
_wrap_cogl_path_rel_move_to (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", NULL };
  float x, y;

  x = y = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ff:path_rel_move_to", kwlist, &x, &y))
    return NULL;
    
  cogl_path_rel_move_to (CLUTTER_FLOAT_TO_FIXED (x),
                         CLUTTER_FLOAT_TO_FIXED (y));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 320 "cogl.c"


#line 141 "./cogl.override"
static PyObject *
_wrap_cogl_path_line_to (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", NULL };
  float x, y;

  x = y = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ff:path_line_to", kwlist, &x, &y))
    return NULL;
    
  cogl_path_line_to (CLUTTER_FLOAT_TO_FIXED (x),
                     CLUTTER_FLOAT_TO_FIXED (y));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 341 "cogl.c"


#line 160 "./cogl.override"
static PyObject *
_wrap_cogl_path_rel_line_to (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", NULL };
  float x, y;

  x = y = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ff:path_rel_line_to", kwlist, &x, &y))
    return NULL;
    
  cogl_path_rel_line_to (CLUTTER_FLOAT_TO_FIXED (x),
                         CLUTTER_FLOAT_TO_FIXED (y));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 362 "cogl.c"


static PyObject *
_wrap_cogl_path_close(PyObject *self)
{
    
    cogl_path_close();
    
    Py_INCREF(Py_None);
    return Py_None;
}

#line 179 "./cogl.override"
static PyObject *
_wrap_cogl_path_arc (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "center_x", "center_y", "radius_x", "radius_y", "angle_start", "angle_end", NULL };
  float center_x, center_y, radius_x, radius_y, angle_start, angle_end;

  center_x = center_y = 0;
  radius_x = radius_y = 0;
  angle_start = angle_end = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffffff:path_arc", kwlist, &center_x, &center_y, &radius_x, &radius_y, &angle_start, &angle_end))
    return NULL;
    
  cogl_path_arc (CLUTTER_FLOAT_TO_FIXED (center_x),
                 CLUTTER_FLOAT_TO_FIXED (center_y),
                 CLUTTER_FLOAT_TO_FIXED (radius_x),
                 CLUTTER_FLOAT_TO_FIXED (radius_y),
                 CLUTTER_ANGLE_FROM_DEGF (angle_start),
                 CLUTTER_ANGLE_FROM_DEGF (angle_end));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 399 "cogl.c"


#line 204 "./cogl.override"
static PyObject *
_wrap_cogl_path_curve_to (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x1", "y1", "x2", "y2", "x3", "y3", NULL };
  float x1, y1, x2, y2, x3, y3;

  x1 = y1 = x2 = y2 = x3 = y3 = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffffff:path_curve_to", kwlist, &x1, &y1, &x2, &y2, &x3, &y3))
    return NULL;
    
  cogl_path_curve_to (CLUTTER_FLOAT_TO_FIXED (x1),
                      CLUTTER_FLOAT_TO_FIXED (y1),
                      CLUTTER_FLOAT_TO_FIXED (x2),
                      CLUTTER_FLOAT_TO_FIXED (y2),
                      CLUTTER_FLOAT_TO_FIXED (x3),
                      CLUTTER_FLOAT_TO_FIXED (y3));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 424 "cogl.c"


#line 227 "./cogl.override"
static PyObject *
_wrap_cogl_path_rel_curve_to (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x1", "y1", "x2", "y2", "x3", "y3", NULL };
  float x1, y1, x2, y2, x3, y3;

  x1 = y1 = x2 = y2 = x3 = y3 = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffffff:path_rel_curve_to", kwlist, &x1, &y1, &x2, &y2, &x3, &y3))
    return NULL;
    
  cogl_path_rel_curve_to (CLUTTER_FLOAT_TO_FIXED (x1),
                          CLUTTER_FLOAT_TO_FIXED (y1),
                          CLUTTER_FLOAT_TO_FIXED (x2),
                          CLUTTER_FLOAT_TO_FIXED (y2),
                          CLUTTER_FLOAT_TO_FIXED (x3),
                          CLUTTER_FLOAT_TO_FIXED (y3));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 449 "cogl.c"


#line 250 "./cogl.override"
static PyObject *
_wrap_cogl_path_line (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x1", "y1", "x2", "y2", NULL };
  float x1, y1, x2, y2;

  x1 = y1 = x2 = y2 = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffff:path_line_to", kwlist, &x1, &y1, &x2, &y2))
    return NULL;
    
  cogl_path_line (CLUTTER_FLOAT_TO_FIXED (x1),
                  CLUTTER_FLOAT_TO_FIXED (y1),
                  CLUTTER_FLOAT_TO_FIXED (x2),
                  CLUTTER_FLOAT_TO_FIXED (y2));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 472 "cogl.c"


#line 271 "./cogl.override"
static PyObject *
_wrap_cogl_path_rectangle (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", "width", "height", NULL };
  float x, y, width, height;

  x = y = 0;
  width = height = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffff:path_rectangle", kwlist, &x, &y, &width, &height))
    return NULL;
    
  cogl_path_rectangle (CLUTTER_FLOAT_TO_FIXED (x),
                       CLUTTER_FLOAT_TO_FIXED (y),
                       CLUTTER_FLOAT_TO_FIXED (width),
                       CLUTTER_FLOAT_TO_FIXED (height));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 496 "cogl.c"


#line 293 "./cogl.override"
static PyObject *
_wrap_cogl_path_ellipse (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "center_x", "center_y", "radius_x", "radius_y", NULL };
  float center_x, center_y, radius_x, radius_y;

  center_x = center_y = 0;
  radius_x = radius_y = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffff:path_ellipse", kwlist, &center_x, &center_y, &radius_x, &radius_y))
    return NULL;
    
  cogl_path_ellipse (CLUTTER_FLOAT_TO_FIXED (center_x),
                     CLUTTER_FLOAT_TO_FIXED (center_y),
                     CLUTTER_FLOAT_TO_FIXED (radius_x),
                     CLUTTER_FLOAT_TO_FIXED (radius_y));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 520 "cogl.c"


#line 315 "./cogl.override"
static PyObject *
_wrap_cogl_path_round_rectangle (PyObject *self, PyObject *args, PyObject *kwargs)
{
  static char *kwlist[] = { "x", "y", "width", "height", "radius", "angle_step", NULL };
  float x, y, width, height, radius, angle_step;

  x = y = width = height = 0;
  radius = angle_step = 0;

  if (!PyArg_ParseTupleAndKeywords(args, kwargs,"ffffdd:path_ellipse", kwlist, &x, &y, &width, &height, &radius, &angle_step))
    return NULL;
    
  cogl_path_round_rectangle (CLUTTER_FLOAT_TO_FIXED (x),
                             CLUTTER_FLOAT_TO_FIXED (y),
                             CLUTTER_FLOAT_TO_FIXED (width),
                             CLUTTER_FLOAT_TO_FIXED (height),
                             CLUTTER_FLOAT_TO_FIXED (radius),
                             CLUTTER_ANGLE_FROM_DEGF (angle_step));

  Py_INCREF (Py_None);
  return Py_None;
}
#line 546 "cogl.c"


const PyMethodDef pycogl_functions[] = {
    { "check_extension", (PyCFunction)_wrap_cogl_check_extension, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "get_bitmasks", (PyCFunction)_wrap_cogl_get_bitmasks, METH_NOARGS,
      NULL },
    { "push_matrix", (PyCFunction)_wrap_cogl_push_matrix, METH_NOARGS,
      NULL },
    { "pop_matrix", (PyCFunction)_wrap_cogl_pop_matrix, METH_NOARGS,
      NULL },
    { "scale", (PyCFunction)_wrap_cogl_scale, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "translate", (PyCFunction)_wrap_cogl_translate, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "rotate", (PyCFunction)_wrap_cogl_rotate, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "clip_set", (PyCFunction)_wrap_cogl_clip_set, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "clip_unset", (PyCFunction)_wrap_cogl_clip_unset, METH_NOARGS,
      NULL },
    { "enable_depth_test", (PyCFunction)_wrap_cogl_enable_depth_test, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "paint_init", (PyCFunction)_wrap_cogl_paint_init, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "color", (PyCFunction)_wrap_cogl_color, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "rectangle", (PyCFunction)_wrap_cogl_rectangle, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_fill", (PyCFunction)_wrap_cogl_path_fill, METH_NOARGS,
      NULL },
    { "path_stroke", (PyCFunction)_wrap_cogl_path_stroke, METH_NOARGS,
      NULL },
    { "path_move_to", (PyCFunction)_wrap_cogl_path_move_to, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_rel_move_to", (PyCFunction)_wrap_cogl_path_rel_move_to, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_line_to", (PyCFunction)_wrap_cogl_path_line_to, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_rel_line_to", (PyCFunction)_wrap_cogl_path_rel_line_to, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_close", (PyCFunction)_wrap_cogl_path_close, METH_NOARGS,
      NULL },
    { "path_arc", (PyCFunction)_wrap_cogl_path_arc, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_curve_to", (PyCFunction)_wrap_cogl_path_curve_to, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_rel_curve_to", (PyCFunction)_wrap_cogl_path_rel_curve_to, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_line", (PyCFunction)_wrap_cogl_path_line, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_rectangle", (PyCFunction)_wrap_cogl_path_rectangle, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_ellipse", (PyCFunction)_wrap_cogl_path_ellipse, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { "path_round_rectangle", (PyCFunction)_wrap_cogl_path_round_rectangle, METH_VARARGS|METH_KEYWORDS,
      NULL },
    { NULL, NULL, 0, NULL }
};

/* initialise stuff extension classes */
void
pycogl_register_classes(PyObject *d)
{

#line 612 "cogl.c"
}
